provider/ec2: tests fail expecting a ppc64 image for precise

Bug #1285923 reported by Dave Cheney on 2014-02-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
Critical
Tim Penhey

Bug Description

Such an image will never exist

[LOG] 0:00.004 DEBUG juju.environs.simplestreams fetchData failed for "test:/streams/v1/index.sjson": cannot find URL "test:/streams/v1/index.sjson" not found
[LOG] 0:00.004 DEBUG juju.environs.simplestreams cannot load index "test:/streams/v1/index.sjson": invalid URL "test:/streams/v1/index.sjson" not found
[LOG] 0:00.005 DEBUG juju.environs.simplestreams fetchData failed for "test:/streams/v1/mirrors.json": cannot find URL "test:/streams/v1/mirrors.json" not found
[LOG] 0:00.005 DEBUG juju.environs.simplestreams no mirror index file found
[LOG] 0:00.005 DEBUG juju.environs.simplestreams read metadata index at "test:/streams/v1/index.json"
[LOG] 0:00.005 DEBUG juju.environs.simplestreams index file has no data for product name(s) ["com.ubuntu.cloud:server:12.04:ppc64"]
[LOG] 0:00.005 WARNING juju.provider.ec2 no matching image meta data for constraints: {region: test, series: precise, arches: [ppc64], constraints: cpu-power=100, storage: ebs}
/home/ubuntu/src/launchpad.net/juju-core/juju/testing/instance.go:53:
    c.Assert(err, gc.IsNil)
... value *errors.errorString = &errors.errorString{s:"no \"precise\" images in test with arches [ppc64]"} ("no \"precise\" images in test with arches [ppc64]")

OOPS: 22 passed, 6 skipped, 15 FAILED
--- FAIL: TestEC2 (26.16 seconds)
FAIL
FAIL launchpad.net/juju-core/provider/ec2 26.683s

Related branches

Curtis Hovey (sinzui) on 2014-02-28
Changed in juju-core:
status: New → Triaged
importance: Undecided → High
tags: added: ec2-provider
Mark Ramm (mark-ramm) wrote :

Hey Dave, could you please add a bit more context to the bug, what you need fixed and why it is critical. Also feel free to mark it as critical and talk to Tim about it today.

Changed in juju-core:
assignee: nobody → Tim Penhey (thumper)
Mark Ramm (mark-ramm) wrote :

Does this still happen when the default-series is set to Trusty?

Dave Cheney (dave-cheney) wrote :

Assigning to 1.18 as discussed. Raised priority to critical.

Changed in juju-core:
importance: High → Critical
milestone: none → 1.18.0
Dave Cheney (dave-cheney) wrote :

Some background on this ticket.

When requesting a machine from the provider to be the bootstrap node juju appears to do two things

1. always request a precise series image
2. always request an image that matches the processor architecture of the client machine that issued juju bootstrap

With respect to comment #2, default-series is not used here. Default series is used to expand the charm url during juju deploy, the bootstrap node is not a charm, it's machine is chosen in a different way.

You can see this by changing default-series to say, saucy, bootstrapping then deploying the ubuntu charm. The machine requested to host the ubuntu charm will be saucy, but the series of machine 0 will still be precise.

The immediate problems, which may require breaking out into several tickets

1. public cloud providers do not offer ppc64el machines, so juju should not use the architecture of the client as a clue to decide the architecture of the bootstrap machine.

2. private cloud providers, using openstack or maas might offer ppc64el machines, but there will never be a version of precise that runs on ppc64el so Juju must not default to precise when selecting an ami/glance image to boot.

John A Meinel (jameinel) on 2014-03-17
Changed in juju-core:
milestone: 1.18.0 → 1.17.6
Tim Penhey (thumper) on 2014-03-20
Changed in juju-core:
status: Triaged → In Progress
Tim Penhey (thumper) wrote :

I disagree with premise 1. given that we have https://bugs.launchpad.net/juju-core/+bug/1293330/comments/2

I'm looking into 2.

Tim Penhey (thumper) on 2014-03-20
Changed in juju-core:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2014-03-20
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers